-- =============================================
-- Create database with filestream filegroups
-- =============================================
IF EXISTS (
  SELECT * 
    FROM sys.databases 
   WHERE name = N'sample_database'
)
  DROP DATABASE sample_database
GO

CREATE DATABASE sample_database
ON PRIMARY
	(NAME = sample_database_file1,
	  FILENAME = N'C:\Program Files\Microsoft SQL Server\MSSQL11.MSSQLSERVER\MSSQL\Data\Datasample_database_1.mdf',
          SIZE = 10MB,
          MAXSIZE = 50MB,
          FILEGROWTH = 10%),
	
	( NAME = sample_database_file2,
	  FILENAME = N'C:\Program Files\Microsoft SQL Server\MSSQL11.MSSQLSERVER\MSSQL\Data\Datasample_database_2.ndf',
          SIZE = 10MB,
          MAXSIZE = 50MB,
          FILEGROWTH = 10%),

FILEGROUP sample_database_filegroup_1 CONTAINS FILESTREAM
	( NAME = sample_database_file3,
	  FILENAME = N'C:\Program Files\Microsoft SQL Server\MSSQL11.MSSQLSERVER\MSSQL\Data\Datasample_database_3'),	

FILEGROUP sample_database_filegroup_2 CONTAINS FILESTREAM
	( NAME = sample_database_file4,
	  FILENAME = N'C:\Program Files\Microsoft SQL Server\MSSQL11.MSSQLSERVER\MSSQL\Data\Datasample_database_4'),

    -- this is new in SQL 2012
	( NAME = sample_database_file5,
	  FILENAME = N'C:\Program Files\Microsoft SQL Server\MSSQL11.MSSQLSERVER\MSSQL\Data\Datasample_database_5')

LOG ON
	( NAME = sample_database_log_file1,
	  FILENAME = N'C:\Program Files\Microsoft SQL Server\MSSQL11.MSSQLSERVER\MSSQL\Data\Datasample_database_1.ldf',
          SIZE = 10MB,
          MAXSIZE = 50MB,
          FILEGROWTH = 10%),

	( NAME = sample_database_log_file2,
	  FILENAME = N'C:\Program Files\Microsoft SQL Server\MSSQL11.MSSQLSERVER\MSSQL\Data\Datasample_database_2.ldf',
          SIZE = 5MB,
          MAXSIZE = 25MB,
          FILEGROWTH = 5MB)
GO

